
///////////////////////////////////////////////////////////////////////////////////////////////
// SQLBROWSE DEMO
///////////////////////////////////////////////////////////////////////////////////////////////

function sql_browse_demo()
{

	oConn = new SqlConnection( 'localhost' , 'root', 'vertrigo' , 'test' );

	oForm = new Form( "MySQLBrowse Test", 590 , 380 );

	oBrowse = new SqlBrowse( oForm , 050 , 050 , 510 , 205 , oConn ,  
   	'select * from country', 493 );

	Button( oForm , 250 , 40  , "SetQuery [LTU]"  , "setquery_test(oBrowse)"      );  
	Button( oForm , 250 , 170 , "setQuery [all]"  , "setquery_test2(oBrowse)"  );  

	Button( oForm , 290 , 40  , "Refresh"         , "oBrowse.refresh()"      );  
	Button( oForm , 290 , 170 , "Show Selected"   , "SqlShowSelected(oBrowse)"  );  
	Button( oForm , 290 , 300 , "Select All"      , "SqlSelectAll( oBrowse )"   );  
	Button( oForm , 290 , 430 , "UnSelect All"    , "SqlUnSelectAll( oBrowse )" );  

	Button( oForm , 330 , 40  , "Insert Row"      , "test_insert(oBrowse)"   );  
	Button( oForm , 330 , 170 , "Delete Row(s)"   , "test_delete(oBrowse)"  );  
	Button( oForm , 330 , 300 , "Update Row"      , "test_update( oBrowse )"   );  

	Button( oForm , 330 , 430 , "Close"           , "oForm.release()"        );  

}

//---------------------------------------------------------------------------------------------//
function setquery_test( oBrowse )
{
	oBrowse.setQuery('SELECT * FROM country WHERE code = "LTU" ');
}

//---------------------------------------------------------------------------------------------//
function setquery_test2( oBrowse )
{
	oBrowse.setQuery('SELECT * FROM country');
}

//---------------------------------------------------------------------------------------------//
function SqlShowSelected( oBrowse )
{

   if ( oBrowse.getSelectedRowCount() == 0 )
   {
      alert('No Rows Selected!');
      return;
   }

   var aSelection = oBrowse.getSelectedRows();

   for ( var i = 0 ; i < aSelection.length ; i++ )
   {
      nRow = aSelection [i] ;

      field1 = oBrowse.getCell( nRow , 1 );
      field2 = oBrowse.getCell( nRow , 2 );
      field3 = oBrowse.getCell( nRow , 3 );

      alert ( field1 + ' ' + field2 + ' ' + field3 );
   }

}

//---------------------------------------------------------------------------------------------//
function SqlSelectAll( oBrowse )
{
	for ( var i=1 ; i < oBrowse.getRowCount() ; i++ )
	{
		oBrowse.select(i);		
	}
}
//---------------------------------------------------------------------------------------------//
function SqlUnSelectAll(oBrowse)
{
	for ( var i=1 ; i < oBrowse.getRowCount() ; i++ )
	{
		oBrowse.unSelect(i);				
	}
}
//---------------------------------------------------------------------------------------------//
function test_delete(oBrowse) 
{

	var oConn , n ;

	oConn = new SqlConnection( 'localhost' , 'root', 'vertrigo' , 'test' );

	n = SqlExec( oConn , 'DELETE FROM country WHERE code = "XXX" ' );

	oBrowse.refresh();

	alert( 'Deleted Rows: ' + n );

}

//---------------------------------------------------------------------------------------------//

function test_update(oBrowse) 
{

	var oConn , n ;

	oConn = new SqlConnection( 'localhost' , 'root', 'vertrigo' , 'test' );

	n = SqlExec( oConn , 'UPDATE country SET name = "updated" WHERE code = "LTU" ' );

	oBrowse.refresh();

	alert( 'Updated Rows: ' + n );

}

//---------------------------------------------------------------------------------------------//

function test_insert() 
{

	var oConn , n ;

	oConn = new SqlConnection( 'localhost' , 'root', 'vertrigo' , 'test' );

	n = SqlExec( oConn , 'INSERT INTO country (code,name,residents) VALUES ("XXX","Xandalia",1) ' );

	oBrowse.refresh();

	alert( 'Inserted Rows: ' + n );

}
