
///////////////////////////////////////////////////////////////////////////////////////////////
// BROWSE DEMO
///////////////////////////////////////////////////////////////////////////////////////////////

function browse_demo()
{
   oWin = new Form( "Browse Test", 590 , 480 );

   oBrowse = new Browse( oWin , 
	050 , 050 , 510 , 340 , 
	'small_table' , [ 'code' , 'first' , 'last' , 'birth' , 'married' ] , 
	[ 'Code' , 'First' , 'last' , 'Birth' , 'Married' ] , 
	'' , 
	'code' , 700 );

   Button( oWin , 390 , 40  , "Refresh"         , "oBrowse.refresh()"      );  
   Button( oWin , 390 , 170 , "Show Selected"   , "ShowSelected(oBrowse)"  );  
   Button( oWin , 390 , 300 , "Append"          , "AppendTest( oBrowse )"  );  
   Button( oWin , 390 , 430 , "Edit Selected"   , "Edit( oBrowse )"        );  
                                                                                          
   Button( oWin , 430 , 40  , "Delete Selected" , "DeleteTest(oBrowse)"    );  
   Button( oWin , 430 , 170 , "Select All"      , "SelectAll( oBrowse )"   );  
   Button( oWin , 430 , 300 , "UnSelect All"    , "UnSelectAll( oBrowse )" );  
   Button( oWin , 430 , 430 , "Close"           , "oWin.release()"         );  

}
//---------------------------------------------------------------------------------------------//
function ShowSelected( oBrowse )
{

	if ( oBrowse.getSelectedRowCount() == 0 )
	{
		alert('No Rows Selected!');
		return;
	}

	var aSelection = oBrowse.getSelectedRows();

	for ( var i = 0 ; i < aSelection.length ; i++ )
	{
		nRow = aSelection [i] ;

		code  = oBrowse.getCell( nRow , 1 );
		first = oBrowse.getCell( nRow , 2 );
		last  = oBrowse.getCell( nRow , 3 );

		alert ( code + ' ' + first + last );
	}

}
//---------------------------------------------------------------------------------------------//
function Edit(oBrowse) 
{

	if ( oBrowse.getSelectedRowCount() == 0 )
	{
		alert('No Row Selected!');
		return;
	}

	if ( oBrowse.getSelectedRowCount() > 1 )
	{
		alert('You must select only one row!');
		return;
	}

	var aSelection = oBrowse.getSelectedRows();
	nRow = aSelection [0] ;

	oWin = new Form( "Edit", 325 , 270 );

	Label( oWin , 65  , 40 , "Code:" );
	Label( oWin , 95  , 40 , "First:" );
	Label( oWin , 125 , 40 , "Last:" );

	Label( oWin , 155 , 40 , "Birth:" );
	Label( oWin , 185 , 40 , "Married:" );

	oCode  = new TextBox( oWin , 60  , 130, oBrowse.getCell( nRow , 1 ) );
	oCode.disable();

	oFirst   = new TextBox( oWin , 90  , 130, oBrowse.getCell( nRow , 2 ) );
	oFirst.setFocus();
	oLast    = new TextBox( oWin , 120 , 130, oBrowse.getCell( nRow , 3 ) );
	oBirth   = new DatePicker( oWin , 150, 130, oBrowse.getCell( nRow , 4 ) );
	oMarried = new CheckBox( oWin , 180 , 130 , oBrowse.getCell(nRow,5) );

	oOk     = new Button( oWin , 210 , 40 , "Ok" , "EditOk()" );  
	oCancel = new Button( oWin , 210 , 170 , "Cancel" , "oWin.release()" );  


}

//---------------------------------------------------------------------------------------------//
function EditOk()
{

	Modify( 'small_table' , [ 'first' , 'last' , 'birth' , 'married' ] , [ oFirst.getValue() , oLast.getValue() , oBirth.getValue() , oMarried.getValue() ] , 'code=' + trim(oCode.getValue()) );

	oBrowse.refresh();

	oBrowse.select(nRow);

	oWin.release();

}

//---------------------------------------------------------------------------------------------//
function AppendTest( oBrowse) 
{

	oWin = new Form( "Append", 325 , 270 );

	Label( oWin , 65  , 40 , "Code:" );
	Label( oWin , 95  , 40 , "First:" );
	Label( oWin , 125 , 40 , "Last:" );

	Label( oWin , 155 , 40 , "Birth:" );
	Label( oWin , 185 , 40 , "Married:" );

	oCode  = new TextBox( oWin , 60  , 130, "" );
	oFirst   = new TextBox( oWin , 90  , 130, "" );
	oLast    = new TextBox( oWin , 120 , 130, "" );
	oBirth   = new DatePicker( oWin , 150, 130, "" );
	oMarried = new CheckBox( oWin , 180 , 130 , "" );

	oOk     = new Button( oWin , 210 , 40 , "Ok" , "AppendOk()" );  
	oCancel = new Button( oWin , 210 , 170 , "Cancel" , "oWin.release()" );  

	oCode.setFocus();

}

//---------------------------------------------------------------------------------------------//
function AppendOk()
{

	// check for duplicates

	aRecordSet = Query ( 'small_table' , [ 'code' ] , 'code=' + oCode.getValue() , '' );

	if ( aRecordSet.length > 0 )
	{
		alert('Duplicated Code!');
		oCode.setFocus();
		return;
	}

	// if ok, append record.

	Append( 'small_table' , [ 'code' , 'first' , 'last' , 'birth' , 'married' ] , [ oCode.getValue() , oFirst.getValue() , oLast.getValue() , oBirth.getValue() , oMarried.getValue() ] );

	oBrowse.refresh();

	oWin.release();

}

//---------------------------------------------------------------------------------------------//
function SelectAll( oBrowse )
{
	for ( var i=1 ; i < oBrowse.getRowCount() ; i++ )
	{
		oBrowse.select(i);		
	}
}
//---------------------------------------------------------------------------------------------//
function UnSelectAll(oBrowse)
{
	for ( var i=1 ; i < oBrowse.getRowCount() ; i++ )
	{
		oBrowse.unSelect(i);				
	}
}
//---------------------------------------------------------------------------------------------//
function DeleteTest(oBrowse)
{

	if ( oBrowse.getSelectedRowCount() == 0 )
	{
		alert('No Rows Selected!');
		return;
	}

	var aSelection = oBrowse.getSelectedRows();

	for ( i = 0 ; i < aSelection.length ; i++ )
	{
		xcode  = oBrowse.getCell( aSelection [i] , 1 );
		Delete( 'small_table' , 'code=' + xcode );
	}

	oBrowse.refresh();

}

///////////////////////////////////////////////////////////////////////////////////////////////
// END BROWSE DEMO
///////////////////////////////////////////////////////////////////////////////////////////////
