
///////////////////////////////////////////////////////////////////////////////////////////////
// PAGED BROWSE 
///////////////////////////////////////////////////////////////////////////////////////////////

function paged_browse_demo()
{

   nCurrentPage = 1 ;

   oWin = new Form( "Paged Browse Test", 590 , 440 );

   oBrowse = new Browse( oWin , 
	044 , 050 , 510 , 268 , 
	'big_table' , [ 'code' , 'first' , 'last' , 'birth' , 'married' ] , 
	[ 'Code' , 'First' , 'last' , 'Birth' , 'Married' ] , 
	'' , 
	'code' , 700 , 10 );


   oIndex1  = new Button( oWin , 310 , 050 , "Index 1"    , "Set1(oBrowse)" );  
   oFilter1 = new Button( oWin , 310 , 170 , "Set Filter" , "SetFilter(oBrowse)" );  
   oFilter2 = new Button( oWin , 310 , 300 , "Clear Filter" , "ClearFilter(oBrowse)" );  
   oIndex2  = new Button( oWin , 310 , 430 , "Index 2"    , "Set2(oBrowse)" );  

   oFirst = new Button( oWin , 350 , 050 , "First"    , "ShowFirst(oBrowse)"    );  
   oPrev  = new Button( oWin , 350 , 170 , "Previous" , "ShowPrevious(oBrowse)"    );  
   oNext  = new Button( oWin , 350 , 300 , "Next"     , "ShowNext( oBrowse )"   );  
   oLast  = new Button( oWin , 350 , 430 , "Last"     , "ShowLast( oBrowse )"   );  

   oGoto  = new Button( oWin , 390 , 40  , "GoTo Page" , "Goto(oBrowse)"  );  
   oPageLabel = new    Label( oWin , 400 , 275 , "Page: 1" )
   oClose = new Button( oWin , 390 , 430 , "Close"     , "oWin.release()" );  

   nLastPage = Math.floor ( oBrowse.getRecordCount() / oBrowse.getPageSize() ) ;

}
//---------------------------------------------------------------------------------------------//
function SetFilter(oBrowse)
{
	oBrowse.setFilter('month(birth)==6');
	nLastPage = Math.floor ( oBrowse.getRecordCount() / oBrowse.getPageSize() ) ;
	nCurrentPage = 1 ;
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
	alert('Filter = month(birth)==6 / Pages=' + nLastPage.toString() );
}
//---------------------------------------------------------------------------------------------//
function ClearFilter(oBrowse)
{
	oBrowse.setFilter('');
	nLastPage = Math.floor ( oBrowse.getRecordCount() / oBrowse.getPageSize() ) ;
	nCurrentPage = 1 ;
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
	alert('Filter = "" / Pages=' + nLastPage.toString() );
}
//---------------------------------------------------------------------------------------------//
function Set1(oBrowse)
{
	oBrowse.setOrder('code_asc');
	nLastPage = Math.floor ( oBrowse.getRecordCount() / oBrowse.getPageSize() ) ;
	nCurrentPage = 1 ;
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
	alert('Order Tag = code_asc / KeyExpr = code / Pages=' + nLastPage.toString() );
}
//---------------------------------------------------------------------------------------------//
function Set2(oBrowse)
{
	oBrowse.setOrder('code_dsc')
	nLastPage = Math.floor ( oBrowse.getRecordCount() / oBrowse.getPageSize() ) ;
	nCurrentPage = 1 ;
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
	alert('Order Tag = code_dsc / KeyExpr = code (descending) / Pages=' + nLastPage.toString() );
}
//---------------------------------------------------------------------------------------------//
function Goto(oBrowse)
{

	nPage = prompt('Page:');

	if ( nPage > nLastPage || nPage < 1 )
	{
		alert('Wrong Pagenumber!');
		return;
	}

	oBrowse.loadPage(nPage);
	nCurrentPage = nPage ;
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
}
//---------------------------------------------------------------------------------------------//
function ShowFirst(oBrowse)
{
	nCurrentPage = 1 ;
	oBrowse.loadPage(nCurrentPage);
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
}
//---------------------------------------------------------------------------------------------//
function ShowLast(oBrowse)
{
	nLastPage = Math.floor ( oBrowse.getRecordCount() / oBrowse.getPageSize() ) ;
	nCurrentPage = nLastPage ;
	oBrowse.loadPage( nCurrentPage );
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
}
//---------------------------------------------------------------------------------------------//
function ShowPrevious( oBrowse )
{
	if ( nCurrentPage == 1 )
	{
		return;
	}

	nCurrentPage-- ;
	oBrowse.loadPage(nCurrentPage);
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
}
//---------------------------------------------------------------------------------------------//
function ShowNext( oBrowse )
{
	if ( nCurrentPage == nLastPage )
	{
		return;
	}

	nCurrentPage++ ;
	oBrowse.loadPage(nCurrentPage);
	oPageLabel.setValue ('Page:' + nCurrentPage.toString() );
}
//---------------------------------------------------------------------------------------------//